* {
    box-sizing: border-box;
    --main-blue-color: #265077;
    --main-purple-color: #022140;
    --accent-purple-color: #494B68;
    --main-green-color: #1E4258;
    --accent-green-color: #2D5F5D;
    --text-dark: black;
    --text-light: blanchedalmond;
}

body {
    background-color: var(--accent-purple-color);
    font-family: sans-serif;
    margin: 0;
    color: var(--text-light);
}

header {
    background-color: var(--main-purple-color);
    display: flex;
    justify-content: space-around;
    padding: 1rem;
}
h1 {
    font-family: 'Roboto', sans-serif;
    color: var(--text-light);
}
.button {
    display: flex;
    justify-content: center;
    border-radius: 4px;
    background-color: var(--accent-green-color);
    border: none;
    color: var(--main-purple-color);
    text-align: center;
    font-size: 15px;
    font-family:  'Roboto', sans-serif;
    padding: 10px;
    width: 200px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
    
}
a{
    text-decoration: none;
    color:var(--text-light);
}
.button span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}
.button span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}

.button:hover span {
    padding-right: 25px;
}

.button:hover span:after {
    opacity: 1;
    right: 0;
}

.search {
    background-color: var(--accent-purple-color);
    border: 2px solid var(--main-blue-color);
    border-radius: 50px;
    display: flex;
    justify-content: center;
    color: blanchedalmond;
    font-family: inherit;
    font-size: 1rem;
    padding: .5rem 1rem;
}

.search::placeholder {
    color: var(--text-light);
    font-family:  'Roboto', sans-serif;

} 

.search:focus {
    background-color: var(--main-green-color);
    color: var(--text-light);
    outline: none;
}
.search:focus::placeholder {
    color: transparent;
} 

main {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

}
.movies {
    background-color: var(--main-purple-color);
    border-radius: 5px;
    box-shadow: 0 4px 5px rgba(0, 0, 0, 0.2);
    margin: 1rem;
    overflow: hidden;
    position: relative;
    width: 300px;
}

.movies img {
    width: 100%;

}

.movie-info {
    color: var(--text-light);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1rem 1rem;
    letter-spacing: 0.5rem;
}

.movie-info h3 {
    margin: 0;

}

.movie-info span {
    background-color: var(--main-blue-color);
    border-radius: 3px;
    font-weight: bold;
    padding: 0.25rem 0.5rem;
}

.overview {
    background-color: var(--main-green-color);
    padding: 2rem;
    position: absolute;
    max-height: 100%;
    overflow: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transform: translateY(101%);
    transition: transform 0.3s ease-in;
    font-family:  "Lucida Console", "Courier New", monospace;
}

.overview h3 {
    margin-top: 0;
}

.movies:hover .overview {
    transform: translateY(0);
}